﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 654C: (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2017-02-22 13:57:55
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       229
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9520 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 500D, TDS 600C, TDS 700D & TDS 714L Digitizing Oscilloscopes
#        Service Manual, Part No. 071-0627-02
#
#  Additional Equipment Required:
#         See "Sub Tek TDS500D/600C/700D VER Required Equipment"
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
# Fast edge of <= 400 ps is required in Sub TDS654C/694C (1 yr) Delta Time
# IEEE /9500. Only the 9520, 9530, 9560 active head can meet this request.
  1.002  M9500                       CH1
  1.003  9500         0.5Vpp                       10kH           FE    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method

  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         20 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  HEAD         UUT IDENTIFICATION
  1.022  TARGET
  1.023  CALL         Sub TDS500/600/700 Setup IEEE
  1.024  IEEE2        *RST;DESE 61
  1.025  WAIT         -t 4 System Initializing ...

  1.026  MATH         @UUT_Manufacturer = "TEKTRONIX"
  1.027  MATH         @UUT_Model        = "TDS 654C"
  1.028  MATH         @UUT_AssetNum     = UUT()

  1.029  IF           NOT(EMPTY(@UUT_AssetNum))
  1.030  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.031  ENDIF

  1.032  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.034  JMPL         END                          @Abort

  1.035  CALL         Sub Tek TDS500D/600C/700D VER Required Equipment

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.036  CALL         Sub TDS600C Specifications
  1.037  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.038  JMPL         END                          @Abort
  1.039  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.040  JMPL         END                          @Abort

# Set the variable of the calibrator channel number for hookup setup.
  1.041  MATH         @SourceChanNum = 4

# Specify channel to test.
  1.042  MATH         @Chan = 1
  1.043  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.044  MATH         @Chan = 2
  1.045  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.046  MATH         @Chan = 3
  1.047  CALL         Sub TDS600C (1 yr) DC Offset IEEE
  1.048  MATH         @Chan = 4
  1.049  CALL         Sub TDS600C (1 yr) DC Offset IEEE

  1.050  MATH         @Chan = 1
  1.051  M9500                       CH1
  1.052  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.053  MATH         @Chan = 2
  1.054  M9500                       CH2
  1.055  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.056  MATH         @Chan = 3
  1.057  M9500                       CH3
  1.058  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500
  1.059  MATH         @Chan = 4
  1.060  M9500                       CH4
  1.061  CALL         Sub TDS654C/68xC (1 yr) DCV Meas Acc IEEE /9500

  1.062  MATH         @Chan = 1
  1.063  M9500                       CH1
  1.064  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/600
  1.065  MATH         @Chan = 2
  1.066  M9500                       CH2
  1.067  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/600
  1.068  MATH         @Chan = 3
  1.069  M9500                       CH3
  1.070  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/600
  1.071  MATH         @Chan = 4
  1.072  M9500                       CH4
  1.073  CALL         Sub TDS600C (1 yr) Bandwidth IEEE /9500/600
  1.074  JMPL         TIMEBASE_TRIGGER

  1.075  LABEL        DELAY_MATCH
  1.076  MATH         @Chan = 1
  1.077  M9500                       CH1
  1.078  CALL         Sub TDS600C (1 yr) Delay Match IEEE /9500
  1.079  JMPL         OUTPUT_SIGNAL

  1.080  LABEL        TIMEBASE_TRIGGER
  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub TDS600C (1 yr) Time Base IEEE /9500
  1.084  JMPL         TRIG_TIME_ACC

  1.085  LABEL        DELTA_TIME
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.089  MATH         @Chan = 2
  1.090  M9500                       CH1
  1.091  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.092  MATH         @Chan = 3
  1.093  M9500                       CH1
  1.094  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.095  MATH         @Chan = 4
  1.096  M9500                       CH1
  1.097  CALL         Sub TDS654C/694C (1 yr) Delta Time IEEE /9500
  1.098  JMPL         END

  1.099  LABEL        TRIG_TIME_ACC
  1.100  CALL         Sub TDS600C (1 yr) Trig Time Acc IEEE /9500

  1.101  MATH         @Chan = 1
  1.102  M9500                       CH1
  1.103  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.104  OPBR         -z Each channel trig sensitivity test will take about
  1.104  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.104  OPBR         channels to save time, unless desired.
  1.104  OPBR
  1.104  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.104  OPBR         3, and 4?
  1.105  MATH         @TestCh234Sens = MEM1
  1.106  JMPL         MAIN_TRIG_SENS_CH2

  1.107  LABEL        AUX_TRIG_IN
  1.108  MATH         @Chan = 1
  1.109  M9500                       CH14
  1.110  CALL         Sub TDS600C (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.111  JMPL         DELAY_MATCH

  1.112  LABEL        MAIN_TRIG_SENS_CH2

  1.113  IF           @TestCh234Sens
  1.114  MATH         Time = 3 * @OptChSensTime
  1.115  DISP         The next routine operator intervention occurs
  1.115  DISP         in approximately [V Time] minutes...
  1.116  MATH         @Chan = 2
  1.117  M9500                       CH2
  1.118  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/600
  1.119  MATH         @Chan = 3
  1.120  M9500                       CH3
  1.121  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/600
  1.122  MATH         @Chan = 4
  1.123  M9500                       CH4
  1.124  CALL         Sub TDS600C (1 yr) Sens IEEE /9500/600
  1.125  ENDIF

  1.126  JMPL         AUX_TRIG_IN

  1.127  LABEL        OUTPUT_SIGNAL
  1.128  M9500                       CH1
  1.129  CALL         Sub TDS654C/68xC (1 yr) Output Signal IEEE /9500
  1.130  M9500                       CH1
  1.131  CALL         Sub TDS600C (1 yr) Probe Comp IEEE /9500
  1.132  JMPL         DELTA_TIME

  1.133  LABEL        END
  1.134  IEEE2        *RST;DESE 61

  1.135  IF           @Abort
  1.136  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.137  ENDIF

  1.138  END
